# ../scripts/custom/gg_nocash/gg_nocash.py

# =============================================================================
# >> IMPORTS
# =============================================================================
# Eventscripts Imports
#   ES
from es import getuserid
from es import getUseridList
from es import setplayerprop
from es import ServerVar

# GunGame Imports
#   Addons
from gungame51.core.addons.shortcuts import AddonInfo

# =============================================================================
# >> ADDON REGISTRATION/INFORMATION
# =============================================================================
info = AddonInfo()
info.name = 'gg_nocash'
info.title = 'GG No Cash'
info.author = 'Satoon101'
info.version = '1.0'

# =============================================================================
# >> PUBLIC VARIABLE
# =============================================================================
ServerVar(info.name + '_version', info.version,
        info.title + ' Version').set(info.version)
ServerVar(info.name + '_version').makepublic()


# =============================================================================
# >> LOAD & UNLOAD
# =============================================================================
def load():
    '''Called when the script is first loaded'''

    # Loop through all players on the server
    for userid in getUseridList():

        # Set the player's cash to 0
        set_cash(userid)


# =============================================================================
# >> GAME EVENTS
# =============================================================================
def player_spawn(event_var):
    # Is player on a team?
    if int(event_var['es_userteam']):

        # Set cash to 0
        set_cash(event_var['userid'])


def player_death(event_var):
    # Is there an attacker?
    attacker = event_var['attacker']
    if int(attacker):

        # Set cash to 0
        set_cash(attacker)


def hostage_follows(event_var):
    # Set cash to 0
    set_cash(event_var['userid'])


def hostage_rescued(event_var):
    # Set cash to 0
    set_cash(event_var['userid'])


# =============================================================================
# >> CUSTOM/HELPER FUNCTIONS
# =============================================================================
def set_cash(userid):
    # Is it a valid userid?
    if getuserid(userid):

        # Set cash to 0
        setplayerprop(userid, 'CCSPlayer.m_iAccount', 0)
