# ../scripts/custom/gg_nocash/gg_nocash_config.py

# =============================================================================
# >> IMPORTS
# =============================================================================
# Python Imports
from __future__ import with_statement
from path import path

# GunGame Imports
from gungame51.core.cfg.configs import ConfigContextManager


# =============================================================================
# >> LOAD & UNLOAD
# =============================================================================
def load():

    # Create the cfg file
    with ConfigContextManager(
      path(__file__).parent.split('scripts')[~0][1:]) as config:

        # Create the gg_nocash instance
        with config.cfg_cvar('gg_nocash') as cvar:

            cvar.name = 'NO CASH'
            cvar.description.append('Never have cash.')
            cvar.options.append('0 = (Disabled) Do not load gg_nocash.')
            cvar.options.append('1 = (Enabled) Load gg_nocash.')
            cvar.default = 0
            cvar.text = 'Enables/Disables gg_nocash.'
